# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.NonnullAfterInit

Packages that use NonnullAfterInit
Package
Description
net.shibboleth.shared.component
Set of interfaces used to describe basic features of "components" within a larger system.
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.spring.resource
Shibboleth integration with Spring `Resource`.Helper functions, concrete implementations and a bridging class.
net.shibboleth.shared.xml.impl
XML implementation classes.

## Uses of NonnullAfterInit in net.shibboleth.shared.component

Fields in net.shibboleth.shared.component with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private String`
AbstractIdentifiedInitializableComponent.`id`
The unique identifier for this component.
Methods in net.shibboleth.shared.component with annotations of type NonnullAfterInit
Modifier and Type
Method
Description
`String`
AbstractIdentifiedInitializableComponent.`getId()`
Get the ID of this component.

## Uses of NonnullAfterInit in net.shibboleth.shared.httpclient

Fields in net.shibboleth.shared.httpclient with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private org.apache.hc.client5.http.classic.HttpClient`
FileCachingHttpClientBuilder.StorageManagingHttpClient.`httpClient`
The wrapped HttpClient instance.
`private TimerTask`
FileCachingHttpClientBuilder.StorageManagingHttpClient.`maintenanceTask`
The scheduled storage maintenance task.
`private org.apache.hc.client5.http.impl.cache.ManagedHttpCacheStorage`
FileCachingHttpClientBuilder.StorageManagingHttpClient.`storage`
The cache storage instance to manage.
`private Timer`
FileCachingHttpClientBuilder.StorageManagingHttpClient.`timer`
Scheduled task timer.

## Uses of NonnullAfterInit in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private NonnullSupplier<HttpServletRequest>`
CookieManager.`httpRequestSupplier`
Supplier for the servlet request to read from.
`private NonnullSupplier<HttpServletResponse>`
CookieManager.`httpResponseSupplier`
Supplier for the servlet response to write to.
Methods in net.shibboleth.shared.net with annotations of type NonnullAfterInit
Modifier and Type
Method
Description
`protected HttpServletRequest`
CookieManager.`getHttpServletRequest()`
Get the current HTTP request if available.
`protected HttpServletResponse`
CookieManager.`getHttpServletResponse()`
Get the current HTTP response if available.

## Uses of NonnullAfterInit in net.shibboleth.shared.scripting

Fields in net.shibboleth.shared.scripting with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private String`
EvaluableScript.`script`
The script to execute.
`private EvaluableScript`
ScriptedRunnable.`script`
What is run.
`private ScriptEngine`
EvaluableScript.`scriptEngine`
The script engine to execute the script.
`private ScriptedRunnable.RunnableScriptEvaluator`
ScriptedRunnable.`scriptEvaluator`
Evaluator.
Methods in net.shibboleth.shared.scripting with annotations of type NonnullAfterInit
Modifier and Type
Method
Description
`String`
EvaluableScript.`getScript()`
Gets the script source.
`EvaluableScript`
ScriptedRunnable.`getScript()`
Gets the script to be evaluated.

## Uses of NonnullAfterInit in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private DataSealerKeyStrategy`
DataSealer.`keyStrategy`
Source of keys.
`private SecureRandom`
DataSealer.`random`
Source of secure random data.

## Uses of NonnullAfterInit in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private String`
BasicKeystoreKeyStrategy.`currentAlias`
Current key alias loaded.
`private String`
ScriptedKeyStrategy.`currentAlias`
Current key alias loaded.
`private SecretKey`
BasicKeystoreKeyStrategy.`defaultKey`
Current default key loaded.
`private SecretKey`
ScriptedKeyStrategy.`defaultKey`
Current default key loaded.
`private String`
BasicKeystoreKeyStrategy.`keyAlias`
Keystore base alias for encryption keys.
`private String`
BasicKeystoreKeyStrategy.`keyPassword`
Password for encryption key(s).
`private EvaluableScript`
ScriptedKeyStrategy.`keyScript`
Script to obtain keys.
`private String`
BasicKeystoreKeyStrategy.`keystorePassword`
Password for keystore.
`private Resource`
BasicKeystoreKeyStrategy.`keystoreResource`
Keystore resource.
`private String`
BasicKeystoreKeyStrategy.`keystoreType`
Type of keystore to use for access to keys.
`private Resource`
BasicKeystoreKeyStrategy.`keyVersionResource`
Version resource.

## Uses of NonnullAfterInit in net.shibboleth.shared.service

Fields in net.shibboleth.shared.service with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private ReloadableService<T>`
ReloadableServiceGaugeSet.`service`
The service to report on.
Methods in net.shibboleth.shared.service with annotations of type NonnullAfterInit
Modifier and Type
Method
Description
`ReloadableService<T>`
ReloadableServiceGaugeSet.`getService()`
Get the service to report on.

## Uses of NonnullAfterInit in net.shibboleth.shared.service.impl

Fields in net.shibboleth.shared.service.impl with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private Resource`
LogbackLoggingService.`configurationResource`
Logging configuration resource.
`private Resource`
LogbackLoggingService.`fallbackConfiguration`
URL to the fallback logback configuration found in the classpath.
`private ch.qos.logback.classic.LoggerContext`
LogbackLoggingService.`loggerContext`
Logback logger context.
`private ch.qos.logback.core.status.StatusManager`
LogbackLoggingService.`statusManager`
Logger used to log messages without relying on the logging system to be full initialized.

## Uses of NonnullAfterInit in net.shibboleth.shared.spring.resource

Fields in net.shibboleth.shared.spring.resource with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private String`
ConditionalResource.`defaultContent`
Content to return if the resource is missing.

## Uses of NonnullAfterInit in net.shibboleth.shared.xml.impl

Fields in net.shibboleth.shared.xml.impl with annotations of type NonnullAfterInit
Modifier and Type
Field
Description
`private DocumentBuilderFactory`
BasicParserPool.`builderFactory`
Factory used to create new builders.